// Copyright (C) 2011 Oliver Sturm <oliver@oliversturm.com>. All rights reserved.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Runtime.Serialization;

namespace CatchingAllTheTime {
  [Serializable]
  public class ImportFailureException : Exception {
    public ImportFailureException( ) { }
    public ImportFailureException(string message) : base(message) { }
    public ImportFailureException(string message, Exception innerException) : base(message, innerException) { }
    protected ImportFailureException(SerializationInfo info, StreamingContext context) : base(info, context) { }
  }
}
