﻿// Copyright (C) 2011 Oliver Sturm <oliver@oliversturm.com>. All rights reserved.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace WindowsFormsApplication {
  static class Program {
    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main( ) {
      Application.EnableVisualStyles( );
      Application.SetCompatibleTextRenderingDefault(false);

      //Application.ThreadException += new System.Threading.ThreadExceptionEventHandler(Application_ThreadException);
      //AppDomain.CurrentDomain.UnhandledException += new UnhandledExceptionEventHandler(CurrentDomain_UnhandledException);

      //try {
        Application.Run(new Form1( ));
      //}
      //catch (Exception ex) {
      //  Console.WriteLine("Exception caught: " + ex);
      //}
    }

    static void Application_ThreadException(object sender, System.Threading.ThreadExceptionEventArgs e) {
      Console.WriteLine("Got a thread exception: " + e.Exception);
    }

    static void CurrentDomain_UnhandledException(object sender, UnhandledExceptionEventArgs e) {
      Console.WriteLine("Got an exception from the AppDomain: " + e.ExceptionObject);
    }

  }
}
